class Integration < ApplicationRecord
  # ==========================================================
  # Constants
  # ==========================================================
  BLANK_INPUTS = ["otrs_web_service", "otrs_username", "otrs_password", "otrs_key_post", "create_ticket_route_mapping"]
  
  # ==========================================================
  # Validations
  # ==========================================================
  # URL inputs
  validates :value, format: { with: /\Ahttps?:\/\/[^\s$.?#].[^\s]*\z/i, message: I18n.t("integrations.common.valid_url") }, if: -> { name == "otrs_key_post" }

  # Blank inputs
  validates :value, presence: { message: I18n.t("integrations.common.blank_input") }, if: -> { BLANK_INPUTS.include?(name) }
end
